> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Sub-settlement Accounts



## OpenAPI

````yaml post /api/v1/split-payment
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/split-payment:
    post:
      tags:
        - Split Payment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSplitPaymentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateSplitPaymentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateSplitPaymentRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSplitAPIResponse'
components:
  schemas:
    CreateSplitPaymentRequest:
      type: array
      items:
        type: object
        required:
          - split_name
          - bank_code
          - account_number
          - split_type
          - split_value
        properties:
          split_name:
            type: string
            example: vendor_payment
          bank_code:
            type: string
            example: '000013'
          account_number:
            type: string
            example: '0004498921'
          split_type:
            type: string
            enum:
              - flat
              - percent
            example: flat
          split_value:
            type: number
            example: 200
    CreateSplitAPIResponse:
      type: object
      required:
        - status
        - message
        - data
      properties:
        status:
          type: boolean
          example: true
        message:
          type: string
          example: Split Settings
        data:
          type: array
          items:
            $ref: '#/components/schemas/SplitPaymentObject'
      additionalProperties: false
    SplitPaymentObject:
      type: object
      properties:
        split_type:
          type: string
          enum:
            - flat
            - percent
        split_payment_reference:
          type: string
        processing_message:
          type: string
        split_name:
          type: string
        bank_code:
          type: string
        account_number:
          type: string
        split_value:
          type: number
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````